Skip to main content
GET
/
api
/
v1
/
app-conversations
Get Conversations by IDs
curl --request GET \
  --url https://app.all-hands.dev/api/v1/app-conversations \
  --header 'X-Access-Token: <api-key>'
[
  {
    "created_by_user_id": "<string>",
    "sandbox_id": "<string>",
    "id": "<string>",
    "selected_repository": "<string>",
    "selected_branch": "<string>",
    "git_provider": "github",
    "title": "<string>",
    "trigger": "resolver",
    "pr_number": [
      123
    ],
    "llm_model": "<string>",
    "metrics": {
      "model_name": "default",
      "accumulated_cost": 0,
      "max_budget_per_task": 123,
      "accumulated_token_usage": {
        "model": "",
        "prompt_tokens": 0,
        "completion_tokens": 0,
        "cache_read_tokens": 0,
        "cache_write_tokens": 0,
        "reasoning_tokens": 0,
        "context_window": 0,
        "per_turn_token": 0,
        "response_id": ""
      }
    },
    "parent_conversation_id": "<string>",
    "sub_conversation_ids": [
      "<string>"
    ],
    "public": true,
    "tags": {},
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "sandbox_status": "MISSING",
    "execution_status": "idle",
    "conversation_url": "<string>",
    "session_api_key": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://allhandsai-add-v1-api-reference.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Access-Token
string
header
required

Query Parameters

ids
string[]
required

Response

(AppConversation · object | null)[]

Successful Response

created_by_user_id
string | null
required
sandbox_id
string
required
id
string
selected_repository
string | null
selected_branch
string | null
git_provider
enum<string> | null
Available options:
github,
gitlab,
bitbucket,
bitbucket_data_center,
forgejo,
azure_devops,
enterprise_sso
title
string | null
trigger
enum<string> | null
Available options:
resolver,
gui,
suggested_task,
openhands_api,
slack,
microagent_management,
jira,
jira_dc,
linear,
bitbucket,
automation
pr_number
integer[]
llm_model
string | null
metrics
MetricsSnapshot · object

A snapshot of metrics at a point in time.

Does not include lists of individual costs, latencies, or token usages.

parent_conversation_id
string | null
sub_conversation_ids
string[]
public
boolean | null
tags
Tags · object
created_at
string<date-time>
updated_at
string<date-time>
sandbox_status
enum<string>
default:MISSING

Current sandbox status. Will be MISSING if the sandbox does not exist.

Available options:
STARTING,
RUNNING,
PAUSED,
ERROR,
MISSING
execution_status
enum<string> | null

Current agent status. Will be None if the sandbox_status is not RUNNING

Available options:
idle,
running,
paused,
waiting_for_confirmation,
finished,
error,
stuck,
deleting
conversation_url
string | null

The URL where the conversation may be accessed

session_api_key
string | null

The Session Api Key for REST operations.